<p> TOTP Form </p>

{% with messages = get_flashed_messages() %}
  {% if messages %}
    <ul class=flashes>
    {% for message in messages %}
      <li>{{ message }}</li>
    {% endfor %}
    </ul>
  {% endif %}
{% endwith %}

<form method="post">
    <label for="secret">Secret Token</label>
    <input type="text" class="form-control" id="secret" value="{{ secret }}" readonly>
    <button type="button" class="btn btn-primary" onclick="copySecret()">Copy Secret</button>
    <label for="otp">Generated OTP</label>
    <input type="hidden" name="secret" value="{{ secret }}" required>
    <input type="number" class="form-control" id="otp" name="otp" required>
    <button type="submit" class="btn btn-primary">Authenticate User</button>
</form>

<script>
  function copySecret() {
    /* Get the text field */
    var copyText = document.getElementById("secret");

    /* Select the text field */
    copyText.select();
    copyText.setSelectionRange(0, 99999); /*For mobile devices*/

    /* Copy the text inside the text field */
    document.execCommand("copy");

    alert("Successfully copied TOTP secret token!");
  }
</script>
